%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           hyprutils
Version:        0.2.6
Release:        %mkrel 1
Summary:        Hyprland utilities library used across the ecosystem
Group:          System/Libraries
License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprutils
Source:         https://github.com/hyprwm/hyprutils/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(pixman-1)

%description
Hyprland utilities library used across the ecosystem.

%package -n %{libname}
Summary:        Hyprland utilities library used across the ecosystem
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Hyprland utilities library used across the ecosystem.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Nov 19 2024 daviddavid <daviddavid> 0.2.6-1.mga10
+ Revision: 2117756
- new version: 0.2.6

* Fri Nov 15 2024 daviddavid <daviddavid> 0.2.4-1.mga10
+ Revision: 2115897
- new version: 0.2.4

* Tue Oct 01 2024 daviddavid <daviddavid> 0.2.3-1.mga10
+ Revision: 2102175
- new version: 0.2.3

* Tue Sep 24 2024 daviddavid <daviddavid> 0.2.2-1.mga10
+ Revision: 2100723
- new version: 0.2.2

* Sun Aug 18 2024 daviddavid <daviddavid> 0.2.1-1.mga10
+ Revision: 2086957
- initial package hyprutils

